Subject: Re: [PATCH] Documentation/config.txt: Order variables alphabetically

From: Jari Aalto <[email-masked]>
Date: Wed, 01 Dec 2010 17:33:56 +0200

2010-12-01 17:19 Erik Faye-Lund <[email-masked]>:
> On Wed, Dec 1, 2010 at 4:09 PM, jari <[email-masked]> wrote:
>
>> On 2010-12-01 15:57, Jakub Narebski wrote:
>> | On Wed, 1 Dec 2010, Jari Aalto wrote:
>> | > The phone books have an index where to up information.
>> | >
>> | >     - When you see script and it use VARIABLE, you look it from
>> | >       manual page
>> |
>> | Manpages (and 'git <cmd> --help') are displayed in pager, so you can
>> | always search for option in a pager (e.g. '/' in 'less', the default
>> | pager).
>>
>> Yuck, it's real fun start backward/forward ping-pong when you dont'
>> know the directions and can't rely on standard A-Z index.
>>
>
> ...but for config options, I tend to ping-pong between items that are
> related to each other, which are already located close by. Your
> argument weighs more for keeping the current layout, IMO.

This isa all academic. It's known in literature that you can't in
practise group all related. That's why you add "see also".

    A
    B   references X
    C   references A
    D
    E
    F   Refrences A
    ...
    X

So what's the order? All related items gruped? There will always be
zillions of related items.

The A-Z that works, always.

CASE:

    You read piece of ~/.gitconfig somewhere. You wonder what that
    does. You pick up the manual, A-Z and, voila -- you know the option.

    Then read next. And you know to what direction to search (A-Z). Another
    search gone gold.

    And you continue. No problems. All straight A-Z.

With "grouped" you just feel dizzy after a real detective work. "Was it
upward, downward -- Damn my pager is not even less(1)".

Jari